Skip to main content
GET
/
v2
/
failure-analysis
/
taxonomy
/
{bucket_id}
Get bucket details
curl --request GET \
  --url https://api.valiqor.com/v2/failure-analysis/taxonomy/{bucket_id} \
  --header 'Authorization: Bearer <token>'
{
  "bucket_id": "<string>",
  "bucket_name": "<string>",
  "description": "<string>",
  "subcategories": [
    {
      "subcategory_id": "<string>",
      "subcategory_name": "<string>",
      "description": "<string>",
      "detection_approach": "<string>",
      "applies_to": [
        "<string>"
      ],
      "requires_retrieval": false,
      "requires_tools": false,
      "minimal_mode_compatible": false,
      "required_inputs": [
        "<string>"
      ],
      "related_eval_metrics": [
        "<string>"
      ],
      "related_security_categories": [
        "<string>"
      ],
      "impact_score": 1,
      "risk_category": "medium"
    }
  ]
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

bucket_id
string
required

Response

Successful Response

Bucket with subcategories in taxonomy response.

bucket_id
string
required
bucket_name
string
required
description
string
required
subcategories
TaxonomySubcategoryResponse · object[]